<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/widgets/AdminBooksLibraryManager/AdminBooksLibraryManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_admin_books_library_manager_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AdminBooksLibraryManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_ADMINBOOKSLIBRARYMANAGER_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_ADMINBOOKSLIBRARYMANAGER_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &quot;../../../gui/dialogs/BookAdderDialog/BookAdderDialog.h&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;../AdminLibraryManager/AdminLibraryManager.h&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;../../../models/Article/Book/Book.h&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="class_admin_books_library_manager.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_admin_books_library_manager.html">AdminBooksLibraryManager</a> : <span class="keyword">public</span> <a class="code" href="class_admin_library_manager.html">AdminLibraryManager</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;Q_OBJECT</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="class_admin_books_library_manager.html#a462bf404e007cdae1fad2fd94f6c90f3">AdminBooksLibraryManager</a>(QWidget *parent = 0);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#a9d26ced5d3dbffc9f63518fb2015be41">search</a>();</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#af7c3f0506e8879bd59cfdcd40b77b201">addItem</a>();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#a340ffaaee775b3ed0d354a0237d0cbee">editItem</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#af435465c273ee9774d7251b9381e94e0">removeItem</a>();</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#ae137407472af6e304d231a3fc8f14f0a">getSearchBookRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#aea9487f053934ffb0b02d0255d99e2c4">getRemoveBookFromLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;signals:</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="comment">// requests</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#a4d1d8c4d3925fd271016cf7546db9802">sendSearchBookRequest</a>(QString <span class="keywordtype">id</span>, QString title);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#a254e4333038d138ca840679c5d4a4976">sendAddBookToLibraryRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#a12e7f5bc0346305a011758d29e7ff2eb">sendEditBookInLibraryRequest</a>(QString oldBookIsbn, <a class="code" href="class_book.html">Book</a> newBook);</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#a7ebb75f64c0bd2447843a7fa47c0c1d2">sendRemoveBookFromLibraryRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="comment">// results to dialogs</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#a7e46d56857efbfe5666c142cb9062c41">sendAddBookToLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_admin_books_library_manager.html#afb107ef90d236a9a8a4183542bed4a71">sendEditBookInLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <a class="code" href="class_book_adder_dialog.html">BookAdderDialog</a> *addBookDialog;  <span class="comment">// dialog to add new book to the library</span></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keywordtype">void</span> populateSearchBox(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    <a class="code" href="class_book.html">Book</a> *getSelectedBook();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <span class="keywordtype">void</span> openAddBookDialog();</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    <span class="keywordtype">void</span> openEditBookDialog();</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    <span class="keywordtype">void</span> connectSignalsSlots();</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;};</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_ADMINBOOKSLIBRARYMANAGER_H</span></div><div class="ttc" id="class_admin_books_library_manager_html_a7e46d56857efbfe5666c142cb9062c41"><div class="ttname"><a href="class_admin_books_library_manager.html#a7e46d56857efbfe5666c142cb9062c41">AdminBooksLibraryManager::sendAddBookToLibraryRequestResult</a></div><div class="ttdeci">void sendAddBookToLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_a7ebb75f64c0bd2447843a7fa47c0c1d2"><div class="ttname"><a href="class_admin_books_library_manager.html#a7ebb75f64c0bd2447843a7fa47c0c1d2">AdminBooksLibraryManager::sendRemoveBookFromLibraryRequest</a></div><div class="ttdeci">void sendRemoveBookFromLibraryRequest(Book book)</div></div>
<div class="ttc" id="class_book_html"><div class="ttname"><a href="class_book.html">Book</a></div><div class="ttdoc">Library book with author, ISBN and status. </div><div class="ttdef"><b>Definition:</b> Book.h:28</div></div>
<div class="ttc" id="class_book_adder_dialog_html"><div class="ttname"><a href="class_book_adder_dialog.html">BookAdderDialog</a></div><div class="ttdef"><b>Definition:</b> BookAdderDialog.h:27</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_a4d1d8c4d3925fd271016cf7546db9802"><div class="ttname"><a href="class_admin_books_library_manager.html#a4d1d8c4d3925fd271016cf7546db9802">AdminBooksLibraryManager::sendSearchBookRequest</a></div><div class="ttdeci">void sendSearchBookRequest(QString id, QString title)</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_af7c3f0506e8879bd59cfdcd40b77b201"><div class="ttname"><a href="class_admin_books_library_manager.html#af7c3f0506e8879bd59cfdcd40b77b201">AdminBooksLibraryManager::addItem</a></div><div class="ttdeci">void addItem()</div><div class="ttdef"><b>Definition:</b> AdminBooksLibraryManager.cpp:47</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_a12e7f5bc0346305a011758d29e7ff2eb"><div class="ttname"><a href="class_admin_books_library_manager.html#a12e7f5bc0346305a011758d29e7ff2eb">AdminBooksLibraryManager::sendEditBookInLibraryRequest</a></div><div class="ttdeci">void sendEditBookInLibraryRequest(QString oldBookIsbn, Book newBook)</div></div>
<div class="ttc" id="class_admin_books_library_manager_html"><div class="ttname"><a href="class_admin_books_library_manager.html">AdminBooksLibraryManager</a></div><div class="ttdef"><b>Definition:</b> AdminBooksLibraryManager.h:29</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_afb107ef90d236a9a8a4183542bed4a71"><div class="ttname"><a href="class_admin_books_library_manager.html#afb107ef90d236a9a8a4183542bed4a71">AdminBooksLibraryManager::sendEditBookInLibraryRequestResult</a></div><div class="ttdeci">void sendEditBookInLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_aea9487f053934ffb0b02d0255d99e2c4"><div class="ttname"><a href="class_admin_books_library_manager.html#aea9487f053934ffb0b02d0255d99e2c4">AdminBooksLibraryManager::getRemoveBookFromLibraryRequestResult</a></div><div class="ttdeci">void getRemoveBookFromLibraryRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> AdminBooksLibraryManager.cpp:97</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_a340ffaaee775b3ed0d354a0237d0cbee"><div class="ttname"><a href="class_admin_books_library_manager.html#a340ffaaee775b3ed0d354a0237d0cbee">AdminBooksLibraryManager::editItem</a></div><div class="ttdeci">void editItem()</div><div class="ttdef"><b>Definition:</b> AdminBooksLibraryManager.cpp:51</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_a462bf404e007cdae1fad2fd94f6c90f3"><div class="ttname"><a href="class_admin_books_library_manager.html#a462bf404e007cdae1fad2fd94f6c90f3">AdminBooksLibraryManager::AdminBooksLibraryManager</a></div><div class="ttdeci">AdminBooksLibraryManager(QWidget *parent=0)</div><div class="ttdef"><b>Definition:</b> AdminBooksLibraryManager.cpp:22</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_af435465c273ee9774d7251b9381e94e0"><div class="ttname"><a href="class_admin_books_library_manager.html#af435465c273ee9774d7251b9381e94e0">AdminBooksLibraryManager::removeItem</a></div><div class="ttdeci">void removeItem()</div><div class="ttdef"><b>Definition:</b> AdminBooksLibraryManager.cpp:55</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_a254e4333038d138ca840679c5d4a4976"><div class="ttname"><a href="class_admin_books_library_manager.html#a254e4333038d138ca840679c5d4a4976">AdminBooksLibraryManager::sendAddBookToLibraryRequest</a></div><div class="ttdeci">void sendAddBookToLibraryRequest(Book book)</div></div>
<div class="ttc" id="class_admin_library_manager_html"><div class="ttname"><a href="class_admin_library_manager.html">AdminLibraryManager</a></div><div class="ttdef"><b>Definition:</b> AdminLibraryManager.h:40</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_a9d26ced5d3dbffc9f63518fb2015be41"><div class="ttname"><a href="class_admin_books_library_manager.html#a9d26ced5d3dbffc9f63518fb2015be41">AdminBooksLibraryManager::search</a></div><div class="ttdeci">void search()</div><div class="ttdef"><b>Definition:</b> AdminBooksLibraryManager.cpp:43</div></div>
<div class="ttc" id="class_admin_books_library_manager_html_ae137407472af6e304d231a3fc8f14f0a"><div class="ttname"><a href="class_admin_books_library_manager.html#ae137407472af6e304d231a3fc8f14f0a">AdminBooksLibraryManager::getSearchBookRequestResult</a></div><div class="ttdeci">void getSearchBookRequestResult(std::vector&lt; Book &gt; books)</div><div class="ttdef"><b>Definition:</b> AdminBooksLibraryManager.cpp:81</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_3c1d2ce32bc4ecd50a176ae39486df30.html">widgets</a></li><li class="navelem"><a class="el" href="dir_89b188cf02ac42967642a01ecd1fddae.html">AdminBooksLibraryManager</a></li><li class="navelem"><b>AdminBooksLibraryManager.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
